SKB_COW_HEAD(9)

NAME
skb_cow_head - skb_cow but only making the head writable

SYNOPSIS

int skb_cow_head(struct sk_buff * skb, unsigned int headroom);

ARGUMENTS

skb
    buffer to cow

headroom
    needed headroom

DESCRIPTION

This function is identical to skb_cow except that we replace the skb_cloned check by skb_header_cloned. It should be used when you only need to push on some header and do not need to modify the data.

COPYRIGHT